> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Specification Layouts



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/specification-layouts
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/specification-layouts:
    get:
      tags:
        - Specification Layouts
      summary: List Specification Layouts
      operationId: SpecificationLayoutsController_list_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpecificationLayoutsResponseDto'
components:
  schemas:
    SpecificationLayoutsResponseDto:
      type: object
      properties:
        layouts:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              name:
                type: string
                minLength: 1
                maxLength: 255
              groups:
                maxItems: 200
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      minLength: 1
                      maxLength: 255
                    name:
                      type: string
                      minLength: 1
                      maxLength: 255
                    layout:
                      type: string
                      enum:
                        - columns
                        - stacked
                        - two-column
                        - image-details
                    columns:
                      maxItems: 200
                      type: array
                      items:
                        type: string
                        minLength: 1
                        maxLength: 255
                    width:
                      type: number
                      minimum: 160
                      maximum: 1600
                  required:
                    - id
                    - name
                    - layout
                    - columns
                  additionalProperties: false
              workspaceId:
                type: string
              version:
                type: integer
                exclusiveMinimum: 0
                maximum: 9007199254740991
            required:
              - id
              - name
              - groups
              - workspaceId
              - version
            additionalProperties: false
        canManage:
          type: boolean
      required:
        - layouts
        - canManage
      additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.